Search Over 30,000 FREE Plugins from the Official WordPress Plugin Directory Repository

Link Picker for CMB2

Link Picker control designed to work with CMB2

Using the Link Picker for CMB2 control, you can choose a link from your WordPress site, or manually enter a link. You can also identify if the link should open in a new window, or not.

Features:

  • Easy to integrate with CMB2, just add a type of link_picker
  • Works with repeatable groups
  • Works as a repeatable field when repeatable is set to true
  • Outputs an array of text, url and blank when using get_post_meta
  • You are able to split the values of the field into individual parts by setting split_values to true. You can retrieve the split values by using the ID of the field and appending _text, _url and _blank to the ID when using get_post_meta (not compatible if using a repeatable field)
Author Make Do
Profile
Contributors mkdo, mwtsn, sagetopia
Tags cmb2, link, link picker
  1. link-picker-for-cmb2 screenshot 1

    The Link Picker Control

  2. link-picker-for-cmb2 screenshot 2

    Choose a link from your WordPress install

  3. link-picker-for-cmb2 screenshot 3

    Responsive design

  4. link-picker-for-cmb2 screenshot 4

    Setting a field as repeatable

  5. link-picker-for-cmb2 screenshot 5

    The Link Picker as a repeatable field

  6. link-picker-for-cmb2 screenshot 6

    Setting a field to have split values

  1. Backup your WordPress install
  2. Upload the plugin folder to the /wp-content/plugins/ directory
  3. Activate the plugin through the 'Plugins' menu in WordPress
  4. Configure the plugin via the 'Link Picker for CMB2' options page under the WordPress 'Settings' Menu

1.0.0

  • First stable release

1.0.1

  • Media assets error message fix

1.0.2

  • Updated responsiveness of control

1.0.3

1.0.4

  • Control now works if editor not supported by post type

1.0.5

  • Fixed a bug where the link was getting added to the main content editor

1.1.0

  • JS Error free for 2017! - Squashed all those nasty JS console bugs

1.2.0

  • WP Coding Standards, We got em! - Now passes those pesky WP Coding Standards
Share  
Download
Version 1.2.0

Requires WordPress version: 4.5 or higher

Compatible up to: 4.7.2

Last Updated 27 Jan 2017

Date Added: 14 Jul 2016

Plugin Homepage

Evaluation
star1
star2
star3
star4
star5

0 stars
0 ratings
703 downloads

Compatibility

Not Enough Data

Reports:
Works: 0
Broken: 0